# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/xamp/2_month/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Xamp\\2Month\\": "packages/xamp/2_month/src",
            "Xamp\\2Month\\Seeders\\": "packages/xamp/2_month/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Xamp\2Month\Providers\2MonthServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        '2Month'  => Xamp\2Month\Facades\2Month::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Xamp\\2Month\\Seeders\\2MonthTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Xamp\2Month\Providers\2MonthServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/2_month/{modulename}

**User**

    http://path-to-route-folder/user/2_month/{modulename}

**Public**

    http://path-to-route-folder/2_months


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/2_month/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/2_month/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/2_month/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/2_month/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/2_month/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/2_month/{modulename}/{slug}
    METHOD: GET